/* estilo geral */
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: "Montserrat", sans-serif;
}

body {
  background-color: #1D1D1B;
  height: 100vh;
}

.interface {
  max-width: 1280px;
  margin: 0 auto;
}

.flex {
  display: flex;
  align-items: center;
  /* Alinha o conteúdo verticalmente */
  justify-content: space-between;
  /* Garante que haja espaço entre os dois elementos */
  gap: 20px;
  /* Espaçamento entre os dois blocos */
}



/* estilo do cabeçalho */

header {
  padding: 40px 4%;
}

header> .interface img {
  max-width: 90%;
}

header>.interface {
  display: flex;
  align-items: center;
  justify-content: space-between;
}

header a {
  color: #FFEC00;
  text-decoration: none;
  display: inline-block;
  transition: .2s;
}

header a:hover {
  color: #ebc275;
  transform: scale(1.05);
}

.removeAnimation:hover {
  transform: scale(1);
}

header nav ul {
  list-style-type: none;
}

header nav ul li {
  display: inline-block;
  padding: 0 40px;
}


.btn-contato button {
  padding: 10px 40px;
  font-size: 18px;
  font-weight: 600;
  background-color: #e2ff3e;
  border: 0;
  border-radius: 20px;
  cursor: pointer;
  color: #1D1D1B;
}

h2.titulo {
  color: #fff;
  font-size: 28px;
  padding-top: 100px;
  text-align: center;
}

h2.titulo span {
  color: #ebc275;
}

button:hover {
  box-shadow: 0px 0px 8px #ac8e56;
  transform: scale(1.05);
  transition: .2s;

}

/* ESTILIZANDO O TOPO DO SITE */
section.topo-do-site {
  padding: 40px 4%;
}

section.topo-do-site .flex {
  align-items: center;
  justify-content: center;
  gap: 90px;
}

.topo-do-site h1 {
  color: #fff;
  font-size: 30px;
  list-style: 10px;
}

.topo-do-site .text-topo-site h1 span {
  color: #ebc275;
  font-size: 35px;
}

.topo-do-site .text-topo-site p {
  color: #fff;
  margin: 40px 0px;
}

.topo-do-site .img-topo-site img {
  position: relative;
  animation: flutuar 2s ease-in-out infinite alternate;
}

@keyframes flutuar {
  0% {
    top: 0;
  }

  100% {
    top: 30px;
  }
}

/* ESTILO DAS ESPECIALIDADES */
section.especialidades {
  padding: 120px 4;

}

section.especialidades .flex {
  gap: 60px;
}

.especialidades .especialidades-box {
  color: #fff;
  padding: 40px;
  /* border: 2px solid #fff; */
  margin-top: 45px;
  border-radius: 20px;
  transition: .2s;
}


.especialidades .especialidades-box:hover {
  transform: scale(1.05);
  box-shadow: 0 0 20px #ba8e3e86;
}

.especialidades .especialidades-box i {
  font-size: 60px;
  color: #ebc275;
}

.especialidades .especialidades-box h3 {
  font-size: 28px;
  margin: 15px 0;

}

/* ESTILO DO SOBRE */
section.sobre {
  padding: 90px 4%;
}

section.sobre .flex {
  align-items: center;
  gap: 60px;
}

.sobre .text-sobre {
  color: #fff;
}

.sobre .text-sobre h2 {
  font-size: 36px;
  line-height: 38px;
  margin-bottom: 30px;
}

.sobre .text-sobre h2 span {
  color: #ebc275;
  display: block;
}

.sobre .text-sobre p {
  margin: 20px 0;
  text-align: justify;
}

.sobre .text-sobre .btn-social button {
  width: 60px;
  height: 60px;
  border-radius: 10px;
  border: none;
  background-color: #aa8b51;
  font-size: 25px;
  cursor: pointer;
  margin: 0 5px;
  color: #fff;
  transition: .2s;
}

/* ESTILIZAÇÃO DO PORTIFÓLIO */
/* 
h2.titulo {
  padding: 40px;
} */

section.portifolio {
  padding: 80px 4%;
  box-shadow: 0 0 40px 10px #aa8b5117;
  border-radius: 20px;
}

section.portifolio .flex {
  justify-content: space-around;
  flex-wrap: wrap;
  margin-top: 60px;
}

.img-port{
  width: 360px;
  height: 460px;
  background-color: #ebc275;
  background-size: cover;
  background-position: 100% 0%;
  transition: .8s;
  transform: scale(1.05);
  cursor: pointer;
  border-radius: 40px;
  position: relative;
}

.img-port:hover{
  background-position: 100% 100%;
}

.overlay{
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: #0000004d;
  border-radius: 40px;
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 24px;
  font-weight: 600;
  color: #fff;
  opacity: 0;
}

.overlay:hover{
  opacity: 1;
  transition: .5s;
}

/* ESTILIZAÇÃO DO FORMULÁRIO */
formulario {
  padding: 80px 4%;

}

form {
  max-width: 500px;
  margin: 0 auto;
  display: flex;
  justify-content: center;
  flex-direction: column;
  gap: 10px;
}

form input {
  margin-top: 10px;
  width: 100%;
  background: #c0bcb03b;
  border: 0;
  outline: 0;
  padding: 20px 15px;
  border-radius: 0;
  color: #ffffff;
  font-size: 15px;
}

footer {
  padding: 60px 4%;
  /* box-shadow: 0 0 40px 10px #6c6cb49f; */
}

footer p {
  color: #fff;
  text-align: center;
}


@media screen and (max-width: 1140px) {

  /* CLASSES GERAIS */
  .flex {
    flex-direction: column;
  }

  h2.titulo {
    font-size: 25px;
    line-height: 30px;
    padding-top: 40px;
  }  

  .topo-do-site .flex {
    flex-direction: column-reverse;
  }

  /* .flex .img-sobre{
    
  } */

  /* CABEÇALHO */
  .menu-pc,
  .btn-contato {
    display: none;
  }

  header> .interface img {
    max-width: 70%;
  }

  /* TOPO SITE */
  section.topo-do-site .flex {
    gap: 30px;
  }

  section.topo-do-site {
    padding: 20px 8%;
  }

  .topo-do-site .img-topo-site img {
    width: 100%;
  }

  .topo-do-site h1 {
    font-size: 28px;
  }

  .topo-do-site .text-topo-site h1 span {
    font-size: 28px;
  }

  /* MINHAS ESPECIALIDADES */
  section.especialidades {
    padding: 50PX 8%;
  }

  /* SOBRE */
  section.sobre {
    padding: 90px 8%;
  }

  .sobre .text-sobre h2 {
    font-size: 32px;
    line-height:28px;
    margin-bottom: 25px;
    text-align: center;
  }

  .btn-social{
    text-align: center;
    margin-top: 80px;
  }

  .img-sobre img{
    width: 100%;
  }

  /* PORTIFÓLIO */
  section.portifolio{
    padding: 80px;
  }

  .img-port{
    width: 100%;
    max-width: 360px;
    margin: 0 auto;
  }

  section.portifolio .flex {
    gap: 60px;
  }
  
}